import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*****************************************************************************
 * This class contains only data and constants to be used by the rest of the
 * interface components. It is made abstract so that it cannot be instantiated
 * 
 * @author Jonathan Misurda jmisurda@cs.pitt.edu
 * @version 1.0
 *****************************************************************************/
abstract class QBScorerData {
	//Font for timer and score
	public static Font bigFont = new Font("Arial", Font.BOLD, 144);
	//Font for team names and "timer" caption
	public static Font captionFont = new Font("Arial", Font.BOLD, 24);
	//Font for question text
	public static Font questionFont = new Font("Arial", Font.BOLD, 36);

	//Vectors that contain the questions from the XML file, broken into
	//game phases
	public static Vector tossup1Questions = new Vector();
	public static Vector tossup1Answers = new Vector();

	public static Vector allTeamQuestions = new Vector();
	public static Vector allTeamAnswers = new Vector();

	public static Vector tossup2Questions = new Vector();
	public static Vector tossup2Answers = new Vector();

	public static Vector bonusQuestions = new Vector();
	public static Vector bonusAnswers = new Vector();

	//Constants for game scores
	public static int CORRECT_POINTS = 20;
	public static int WRONG_POINTS = -20;

	//Constants to represent each of the 4 game phases
	public static final int TOSSUP1 = 0;
	public static final int ALLTEAM = 1;
	public static final int TOSSUP2 = 2;
	public static final int BONUS = 3;

	//Time constants
	public static int SHORT_TIME = 3;
	public static int LONG_TIME = 30;

	//Current game phase
	public static int GamePhase = TOSSUP1;
	//Current amount of time for the timer
	public static int TIME = SHORT_TIME;

	//Question number for current phase
	public static int curQuestionInPhase = 0;

	//How many teams we have
	public static int TEAMS = 3;
	//The names of the teams
	public static Vector TeamNames = new Vector();
}
