import java.util.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/*****************************************************************************
 * 
 * @author Jonathan Misurda
 * @version 1.0
 *****************************************************************************/
class ScorerPanel extends JPanel {
	private String teamName;

	private JLabel lblTeam = new JLabel("Team Name", SwingConstants.CENTER);
	private JLabel lblScore = new JLabel("0", SwingConstants.CENTER);
	private int score;

	JButton plusScore = new JButton("+" + QBScorerData.CORRECT_POINTS);
	JButton minusScore = new JButton(String.valueOf(QBScorerData.WRONG_POINTS));

	public ScorerPanel(String teamName) {
		this();
		lblTeam.setText(teamName);
	}

	public ScorerPanel() {
		lblScore.setFont(QBScorerData.bigFont);
		lblTeam.setFont(QBScorerData.captionFont);
		lblTeam.setForeground(Color.blue);

		setLayout(new BorderLayout());

		add(lblTeam, BorderLayout.NORTH);
		add(lblScore, BorderLayout.CENTER);

		JPanel bottom = new JPanel();
		bottom.add(plusScore);
		bottom.add(minusScore);

		add(bottom,  BorderLayout.SOUTH);

		plusScore.addActionListener( new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				score += QBScorerData.CORRECT_POINTS;
				lblScore.setText(String.valueOf(score));
			}
		});

		minusScore.addActionListener( new ActionListener() {
			public void actionPerformed(ActionEvent ae) {
				score += QBScorerData.WRONG_POINTS;
				lblScore.setText(String.valueOf(score));
			}
		});
	}
}

